Returns the increase factor used during RPROP training

- « fann_get_quickprop_mu

- fann_get_rprop_delta_max »

- PHP Manual
- Fann Functions
- Returns the increase factor used during RPROP training

# fann_get_rprop_decrease_factor

(PECL fann >= 1.0.0)

fann_get_rprop_decrease_factor — Returns the increase factor used during RPROP training

### Description

fann_get_rprop_decrease_factor(resource `$ann`): float

The decrease factor is a value smaller than 1, which is used to decrease the step-size during RPROP training.

The default decrease factor is 0.5.

### Parameters

`ann`

  Neural network resource.

### Return Values

The decrease factor, or `false` on error.

### See Also

- fann_set_rprop_decrease_factor() - Sets the decrease factor used during RPROP training